package service

import (
	"context"
	"git.gocasts.ir/ebhomengo/niki/types"
)

type RoleRepo interface {
	Store(ctx context.Context, req StoreRoleRequest) (types.ID, error)
	Update(ctx context.Context, req UpdateRoleRequest) (types.ID, error)
	IsRoleExistsByID(ctx context.Context, id types.ID) error
}
